%define upstream_name MooseX-Types-Stringlike
%define upstream_version 0.001

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Moose type constraints for strings or string-like objects
License:	ASL 2.0
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(MooseX::Types)

BuildArch:	noarch

%description
This module provides a more general version of the "Str" type. If
coercions are enabled, it will accepts objects that overload
stringification and coerces them into strings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.1.0-2.mga4
+ Revision: 534784
- Mageia 4 Mass Rebuild

* Sat Sep 14 2013 sander85 <sander85> 0.1.0-1.mga4
+ Revision: 478883
- imported package perl-MooseX-Types-Stringlike

